> ## Documentation Index
> Fetch the complete documentation index at: https://www.domo.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Permissions

> Remove all permissions for an entity. 

<Note>
If all entities' permissions are removed, then only users with the **Manage AppDB** grant will still have access.
</Note>



## OpenAPI

````yaml /openapi/framework/appdb.yaml delete /domo/datastores/v1/collections/{collectionName}/permission/{entity}/{entityId}
openapi: 3.0.0
info:
  title: Domo AppDB API
  version: v1
  description: >
    AppDB API for storing arbitrary JSON documents similar to a NoSQL database.
    This enables storing state within your DomoApp

    with optional syncing to Domo DataSets.


    Three layers provide data storage:

    - **Datastores**: Analogous to a database. A CustomApp has a single
    datastore created automatically.

    - **Collections**: Analogous to a collection in NoSQL or table in relational
    databases.

    - **Documents**: Analogous to documents in NoSQL or table rows in relational
    databases.
servers:
  - url: https://{instance}.domo.com
    description: Domo Instance
    variables:
      instance:
        default: example
        description: Your Domo instance name
security: []
paths:
  /domo/datastores/v1/collections/{collectionName}/permission/{entity}/{entityId}:
    delete:
      tags:
        - AppDB API
      summary: Delete Permissions
      description: >-
        Remove all permissions for an entity. 


        <Note>

        If all entities' permissions are removed, then only users with the
        **Manage AppDB** grant will still have access.

        </Note>
      parameters:
        - $ref: '#/components/parameters/CollectionName'
        - $ref: '#/components/parameters/EntityType'
        - $ref: '#/components/parameters/EntityId'
      responses:
        '200':
          description: Permissions removed successfully. No response body is returned.
        '403':
          description: You do not have the SHARE permission on this collection.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                status: 403
                statusReason: >-
                  status 403 reading
                  CollectionsResourceClient#revokeCollectionPermission(UUID,String,String);
                  content:

                  {"status":403,"toe":"66W18AJRO2-2RSJP-MO2J4"}
                toe: 66W18AJRO2-2RSJP-MO2J4
        '404':
          description: >-
            Collection not found. Verify the collection name is correct (it is
            case-sensitive) and that the collection has been created or
            correctly wired in this app's datastore.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                status: 404
                statusReason: >-
                  DA0088: Collection 'students' was not found in datastore
                  fcd8baba-9524-4fb5-b94b-b3d3b588e740 - it may not exist on
                  this instance or may not be accessible
                toe: IZDKUBLU52-EBW2Z-BFOY2
      x-codeSamples:
        - lang: JavaScript
          label: domo.js
          source: |-
            const collectionName = 'YourCollection';
            const entity = 'RYUU_APP'; // USER, GROUP, or RYUU_APP
            const entityId = 'your-entity-id';

            domo.delete(
              `/domo/datastores/v1/collections/${collectionName}/permission/${entity}/${entityId}`
            ).then(() => console.log('permissions removed'));
        - lang: cURL
          label: cURL
          source: |-
            # This API is only available inside a Domo app.
            # Use the JavaScript (domo.js) tab for the correct usage.
        - lang: Python
          label: Python
          source: |-
            # This API is only available inside a Domo app.
            # Use the JavaScript (domo.js) tab for the correct usage.
        - lang: PHP
          label: PHP
          source: |-
            // This API is only available inside a Domo app.
            // Use the JavaScript (domo.js) tab for the correct usage.
        - lang: Go
          label: Go
          source: |-
            // This API is only available inside a Domo app.
            // Use the JavaScript (domo.js) tab for the correct usage.
        - lang: Java
          label: Java
          source: |-
            // This API is only available inside a Domo app.
            // Use the JavaScript (domo.js) tab for the correct usage.
        - lang: Ruby
          label: Ruby
          source: |-
            # This API is only available inside a Domo app.
            # Use the JavaScript (domo.js) tab for the correct usage.
components:
  parameters:
    CollectionName:
      name: collectionName
      in: path
      required: true
      description: The name given to the collection in the manifest. Case-sensitive.
      schema:
        type: string
    EntityType:
      name: entity
      in: path
      required: true
      description: The type of entity the permissions apply to.
      schema:
        type: string
        enum:
          - USER
          - GROUP
          - RYUU_APP
    EntityId:
      name: entityId
      in: path
      required: true
      description: >-
        The ID of the entity the permissions apply to. For a **USER** or
        **GROUP**, this is the numeric ID (for example, `870010733`). For a
        **RYUU_APP**, this is the app instance's UUID — the same value as the
        app's datastore UUID, which also appears as the subdomain of the app's
        origin (e.g., `https://<instance-uuid>.domoapps.domo.com`).
      schema:
        type: string
      examples:
        userOrGroup:
          summary: User or group (numeric ID)
          value: '870010733'
        app:
          summary: App instance (UUID)
          value: fcd8baba-9524-4fb5-b94b-b3d3b588e740
  schemas:
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: >-
            A plain-English explanation of the error. Present on some errors but
            not all.
        status:
          type: integer
          description: The HTTP error code
        statusReason:
          type: string
          description: >-
            A human-readable error message, sometimes including nested error
            detail
        toe:
          type: string
          description: >-
            Thread of Execution; a unique identifier that Support can use to
            find more info about your problem
      example:
        status: 404
        statusReason: 'DA0088: Invalid collection name: Students'
        toe: FTYRJMBLKD-5HB2Z-H6W8A

````